#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2011 Sebastian Pipping <sebastian@pipping.org>
# Licensed under GPL v3 or later

import freitagslib.network as net


class Command(object):
	def difference(self):
		return self._difference


class DepositCommand(Command):
	def __init__(self, amount):
		self._difference = amount

	def run(self, user_name):
		net.deposit(self._difference, net.DEPOSIT_CASH, user_name)

	def label(self):
		return '%.2f Euro einzahlen' % self._difference


class BuyCommand(Command):
	def __init__(self, item):
		self.item = item
		self._difference = item.price

	def run(self, user_name):
		net.buy_item(self.item.id, user_name)

	def label(self):
		return self.item.name
